
/* Object instance handles */

DEFINE VARIABLE hobjlog_SystemLogFile AS HANDLE NO-UNDO.
DEFINE VARIABLE hobjlog_ProgrammerLogFile AS HANDLE NO-UNDO.

DEFINE VARIABLE c1 AS CHARACTER NO-UNDO.
DEFINE VARIABLE c2 AS CHARACTER NO-UNDO.

/* Create two instances of the Logging object */

RUN obj_log.p PERSISTENT SET hobjlog_SystemLogFile.
RUN obj_log.p PERSISTENT SET hobjlog_ProgrammerLogFile.

/* Call their constructors */

RUN InitAppend IN hobjlog_SystemLogFile ("/tmp/systemlogfile.txt").
RUN InitAppend IN hobjlog_ProgrammerLogFile ("/tmp/programmerlogfile.txt").

/* Call into their "activity" methods */

RUN DoWrtLogFile IN hobjlog_SystemLogFile ("This should be in system log file.").
RUN DoWrtLogFile IN hobjlog_ProgrammerLogFile ("This should be in programmer log file.").

/* Display the log files these objects are using */

RUN GetLogFileName IN hobjlog_SystemLogFile (OUTPUT c1).
RUN GetLogFileName IN hobjlog_ProgrammerLogFile (OUTPUT c2).

disp c1 c2.

/* Call their destructors */

RUN Destroy IN hobjlog_SystemLogFile.
DELETE WIDGET hobjlog_SystemLogFile.

RUN Destroy IN hobjlog_ProgrammerLogFile.
DELETE WIDGET hobjlog_ProgrammerLogFile.



